"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Account = (function () {
    function Account(installationId, accountId, subAccountId, user, token, level, transcriptionRatePerHour, transcriptionRatePerSecond, semanticAnalysisRatePerTransaction, cognitiveAnalysisRatePerTransaction) {
        this.installationId = installationId;
        this.accountId = accountId;
        this.subAccountId = subAccountId;
        this.user = user;
        this.token = token;
        this.level = level;
        this.transcriptionRatePerHour = transcriptionRatePerHour;
        this.transcriptionRatePerSecond = transcriptionRatePerSecond;
        this.semanticAnalysisRatePerTransaction = semanticAnalysisRatePerTransaction;
        this.cognitiveAnalysisRatePerTransaction = cognitiveAnalysisRatePerTransaction;
        this.currency = null;
    }
    return Account;
}());
exports.Account = Account;
var AccountItem = (function () {
    function AccountItem(installationId, clientName, accountId, subAccountId, user, token) {
        this.installationId = installationId;
        this.clientName = clientName;
        this.accountId = accountId;
        this.subAccountId = subAccountId;
        this.user = user;
        this.token = token;
    }
    return AccountItem;
}());
exports.AccountItem = AccountItem;
var AccountSelectItem = (function () {
    function AccountSelectItem(installationId, accountId, subAccountId) {
        this.installationId = installationId;
        this.accountId = accountId;
        this.subAccountId = subAccountId;
    }
    return AccountSelectItem;
}());
exports.AccountSelectItem = AccountSelectItem;
var AccountRate = (function () {
    function AccountRate(accountId, subAccountId, transcriptionRatePerHour, transcriptionRatePerSecond, semanticAnalysisRatePerTransaction, cognitiveAnalysisRatePerTransaction) {
        this.accountId = accountId;
        this.subAccountId = subAccountId;
        this.transcriptionRatePerHour = transcriptionRatePerHour;
        this.transcriptionRatePerSecond = transcriptionRatePerSecond;
        this.semanticAnalysisRatePerTransaction = semanticAnalysisRatePerTransaction;
        this.cognitiveAnalysisRatePerTransaction = cognitiveAnalysisRatePerTransaction;
    }
    return AccountRate;
}());
exports.AccountRate = AccountRate;
var AccountViewModel = (function () {
    function AccountViewModel(id, installationId, clientName, accountId, subAccountId, enabled) {
        this.id = id;
        this.installationId = installationId;
        this.clientName = clientName;
        this.accountId = accountId;
        this.subAccountId = subAccountId;
        this.enabled = enabled;
    }
    return AccountViewModel;
}());
exports.AccountViewModel = AccountViewModel;
