"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Platform = (function () {
    function Platform() {
        this.type = null;
        this.currencyCode = null;
        this.environmentId = null;
        this.status = false;
    }
    return Platform;
}());
exports.Platform = Platform;
var PlatformData = (function () {
    function PlatformData(platformHash, installationId, clientName, clientContactName, clientContactEmail, transcriptionRatePerHour, transcriptionRatePerSecond, semancticAnalysisRatePerTransaction, cognitiveAnalysisRatePerTransaction) {
        this.platformHash = platformHash;
        this.installationId = installationId;
        this.clientName = clientName;
        this.clientContactName = clientContactName;
        this.clientContactEmail = clientContactEmail;
        this.transcriptionRatePerHour = transcriptionRatePerHour;
        this.transcriptionRatePerSecond = transcriptionRatePerSecond;
        this.semancticAnalysisRatePerTransaction = semancticAnalysisRatePerTransaction;
        this.cognitiveAnalysisRatePerTransaction = cognitiveAnalysisRatePerTransaction;
        this.name = null;
        this.description = null;
        this.countryCode = null;
        this.inconcertContactName = null;
        this.commercialContactName = null;
        this.technicalContactName = null;
    }
    return PlatformData;
}());
exports.PlatformData = PlatformData;
var PlatformViewModel = (function () {
    function PlatformViewModel(platformHash, installationId, publicIp, macAddress, baseBoardSerialNumber, activationDate, ActivationHash, clientName, clientContactName, clientContactEmail, createdDate) {
        this.platformHash = platformHash;
        this.installationId = installationId;
        this.publicIp = publicIp;
        this.macAddress = macAddress;
        this.baseBoardSerialNumber = baseBoardSerialNumber;
        this.activationDate = activationDate;
        this.ActivationHash = ActivationHash;
        this.clientName = clientName;
        this.clientContactName = clientContactName;
        this.clientContactEmail = clientContactEmail;
        this.createdDate = createdDate;
    }
    return PlatformViewModel;
}());
exports.PlatformViewModel = PlatformViewModel;
